Browse Source

source snapshot r1302

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@7813 ec354946-7b23-47d6-9f5a-488ba84defc7
munepi 10 years ago
parent
commit
235bbdf9ca

+ 0 - 4
t/texworks/pdfeplatex.sh

@@ -1,4 +0,0 @@
-#!/bin/bash
-## epdfplatex: support platex for TeXworks via dvipdfmx
-eplatex -kanji=utf8 $1 || exit 1
-dvipdfmx -r 8000 $1 || exit 1

+ 0 - 7
t/texworks/pdfplatex.sh

@@ -1,7 +0,0 @@
-#!/bin/bash
-## pdfplatex: support platex for TeXworks via dvipdfmx
-PLATEX_OPTS="-kanji=utf8"
-platex --help | egrep -q -e "^-synctex"
-[ $? -eq 0 ] && PLATEX_OPTS="-synctex=1 ${PLATEX_OPTS}"
-platex ${PLATEX_OPTS} $1 || exit 1
-dvipdfmx -r 8000 $1 || exit 1

+ 0 - 24
t/texworks/texworks-0.4.1-ptex-vine.patch

@@ -1,24 +0,0 @@
-diff -up texworks-0.4.1/src/TWApp.cpp.vine texworks-0.4.1/src/TWApp.cpp
---- texworks-0.4.1/src/TWApp.cpp.vine	2011-05-27 14:30:46.000000000 +0900
-+++ texworks-0.4.1/src/TWApp.cpp	2011-06-18 19:00:11.782546333 +0900
-@@ -835,6 +835,8 @@ void TWApp::setDefaultEngineList()
- 	*engineList
- 		<< Engine("LaTeXmk", "latexmk" EXE, QStringList("-e") << 
- 				  "$pdflatex=q/pdflatex -synctex=1 %O %S/" << "-pdf" << "$fullname", true)
-+		<< Engine("pdfpLaTeX", "pdfplatex" EXE, QStringList("$basename"), true)
-+		<< Engine("pdfepLaTeX", "pdfeplatex" EXE, QStringList("$basename"), true)
- 		<< Engine("pdfTeX", "pdftex" EXE, QStringList("$synctexoption") << "$fullname", true)
- 		<< Engine("pdfLaTeX", "pdflatex" EXE, QStringList("$synctexoption") << "$fullname", true)
- 		<< Engine("XeTeX", "xetex" EXE, QStringList("$synctexoption") << "$fullname", true)
-@@ -842,7 +844,9 @@ void TWApp::setDefaultEngineList()
- 		<< Engine("ConTeXt (LuaTeX)", "context" EXE, QStringList("--synctex") << "$fullname", true)
- 		<< Engine("ConTeXt (pdfTeX)", "texexec" EXE, QStringList("--synctex") << "$fullname", true)
- 		<< Engine("ConTeXt (XeTeX)", "texexec" EXE, QStringList("--synctex") << "--xtx" << "$fullname", true)
-+		<< Engine("pBibTeX", "pbibtex" EXE, QStringList("$basename"), false)
- 		<< Engine("BibTeX", "bibtex" EXE, QStringList("$basename"), false)
-+		<< Engine("Mendex", "mendex" EXE, QStringList("$basename"), false)
- 		<< Engine("MakeIndex", "makeindex" EXE, QStringList("$basename"), false);
- 	defaultEngineIndex = 1;
- }
-
-Diff finished.  Sat Jun 18 19:04:18 2011

+ 0 - 23
t/texworks/texworks-0.5.svn950-vine-vl7.patch

@@ -1,23 +0,0 @@
-diff -up texworks-0.5/src/TWApp.cpp.vine texworks-0.5/src/TWApp.cpp
---- texworks-0.5/src/TWApp.cpp.vine	2011-12-04 01:16:32.000000000 +0900
-+++ texworks-0.5/src/TWApp.cpp	2011-12-04 01:24:23.866877821 +0900
-@@ -842,6 +842,7 @@ void TWApp::setDefaultEngineList()
- 	*engineList
- //		<< Engine("LaTeXmk", "latexmk" EXE, QStringList("-e") << 
- //				  "$pdflatex=q/pdflatex -synctex=1 %O %S/" << "-pdf" << "$fullname", true)
-+		<< Engine("pdfpLaTeX", "pdfplatex" EXE, QStringList("$basename"), true)
- 		<< Engine("pdfTeX", "pdftex" EXE, QStringList("$synctexoption") << "$fullname", true)
- 		<< Engine("pdfLaTeX", "pdflatex" EXE, QStringList("$synctexoption") << "$fullname", true)
- 		<< Engine("LuaTeX", "luatex" EXE, QStringList("$synctexoption") << "$fullname", true)
-@@ -851,7 +852,9 @@ void TWApp::setDefaultEngineList()
- 		<< Engine("ConTeXt (LuaTeX)", "context" EXE, QStringList("--synctex") << "$fullname", true)
- 		<< Engine("ConTeXt (pdfTeX)", "texexec" EXE, QStringList("--synctex") << "$fullname", true)
- 		<< Engine("ConTeXt (XeTeX)", "texexec" EXE, QStringList("--synctex") << "--xtx" << "$fullname", true)
-+		<< Engine("pBibTeX", "pbibtex" EXE, QStringList("$basename"), false)
- 		<< Engine("BibTeX", "bibtex" EXE, QStringList("$basename"), false)
-+		<< Engine("Mendex", "mendex" EXE, QStringList("$basename"), false)
- 		<< Engine("MakeIndex", "makeindex" EXE, QStringList("$basename"), false);
- 	defaultEngineIndex = 1;
- }
-
-Diff finished.  Sun Dec  4 01:24:29 2011

+ 0 - 29
t/texworks/texworks-snapshot.sh

@@ -1,29 +0,0 @@
-#!/bin/bash
-
-set -e
-
-tmp=$(mktemp -d)
-
-trap cleanup EXIT
-cleanup() {
-    set +e
-    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
-}
-
-unset CDPATH
-pwd=$(pwd)
-
-dirname=texworks
-
-cd "$tmp"
-svn checkout http://texworks.googlecode.com/svn/trunk/ $dirname
-cd $dirname
-VERSION=`cat src/TWVersion.h | grep TEXWORKS_VERSION | sed s/\"//g | cut -f2`
-REVISION=`LC_ALL=C svn info 2> /dev/null | grep Revision | cut -d' ' -f2`
-find . -type d -name .svn -print0 | xargs -0r rm -rf
-cd ..
-mv $dirname ${dirname}-${VERSION}
-tar jcf "$pwd"/${dirname}-${VERSION}.svn${REVISION}.tar.bz2 ${dirname}-${VERSION}
-cd ${pwd} >/dev/null
-
-exit

BIN
t/texworks/texworks-templates-japanese-20110626.tar.xz


+ 13 - 31
t/texworks/texworks-vl.spec

@@ -1,21 +1,19 @@
-%define svnrevision 950
-%define templates_japanese 1
+%define svnrevision 1302
+%define templates_japanese 0
 %define templates_japanese_version 20110626
 
-%define _qt4_qmake		%{_libdir}/qt4/bin/qmake
-
 ## Summary/Description adopted from Debian with modification
 
 Name:           texworks
 Version:        0.5
-Release:        2%{?svnrevision:.svn%svnrevision}%{?_dist_release}
+Release:        3%{?svnrevision:.svn%svnrevision}%{?_dist_release}
 Summary:        An environment for authoring TeX (LaTeX, ConTeXt, etc) documents
 Summary(ja):    TeX ドキュメント制作のための総合環境
 
 Group:          Applications/Editors
 License:        GPLv2+
 URL:            http://tug.org/texworks/
-Source0:        http://texworks.googlecode.com/files/%{name}-%{version}%{?svnrevision:.svn%svnrevision}.tar.%{?svnrevision:bz2}%{!?svnrevision:gz}
+Source0:        http://texworks.googlecode.com/files/%{name}-%{version}%{?svnrevision:.svn%svnrevision}.tar.%{?svnrevision:xz}%{!?svnrevision:gz}
 #Source0:        http://texworks.googlecode.com/files/%{name}-%{version}-r858.tar.gz
 # Desktop file adopted from Debian with modification
 Source1:        %{name}.desktop
@@ -25,19 +23,18 @@ Source10:       texworks-snapshot.sh
 %if %{templates_japanese}
 Source50:       texworks-templates-japanese-%{templates_japanese_version}.tar.xz
 %endif
-Source100:      pdfplatex.sh
-Source101:      pdfeplatex.sh
 
 ## vine
-Patch100:       texworks-0.4.1-ptex-vine-vl6.patch
-Patch101:       texworks-0.5.svn950-vine-vl7.patch
+Patch100:       texworks-0.5-r1302-ptex2pdf.patch
+
 
+BuildRequires:  lua-devel
 BuildRequires:  hunspell-devel
 BuildRequires:  dbus-devel
 BuildRequires:  poppler-qt4-devel
 BuildRequires:  desktop-file-utils
-BuildRequires:  texlive-common
-Requires:       texlive-common
+#BuildRequires:  texlive >= 2013
+Requires:       texlive >= 2013
 
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
 
@@ -65,12 +62,7 @@ TeXworks を利用するためには、TeX 環境が必要です。
 %prep
 %setup -q
 
-%if %{?_dist_release} == "vl6"
 %patch100 -p1 -b .vine
-%endif
-%if %{?_dist_release} == "vl7"
-%patch101 -p1 -b .vine
-%endif
 
 ## added some Japanese templates
 %if %{templates_japanese}
@@ -88,16 +80,6 @@ patch -p1 -b -z .vine < texworks-templates-japanese-%{templates_japanese_version
 %__rm -rf %{buildroot}
 %__make install INSTALL_ROOT=%{buildroot}
 
-## support platex/eplatex via dvipdfmx
-## [ ]: TeX distribution and its version, ( ): typesetting engine
-## vl5 [teTeX-3.0]:     platex (ptex) 
-## vl6 [TeX Live 2009]: platex (ptex), eplatex (eptex)
-## vl7 [TeX Live 2011]: platex (eptex)
-%__install -m755 -D %{SOURCE100} %{buildroot}%{_bindir}/pdfplatex
-%if %{?_dist_release} == "vl6"
-%__install -m755 -D %{SOURCE101} %{buildroot}%{_bindir}/pdfeplatex
-%endif
-
 
 %clean
 %__rm -rf %{buildroot}
@@ -112,10 +94,6 @@ update-desktop-database &> /dev/null || :
 %defattr(-,root,root,-)
 %{_docdir}/%{name}-%{version}/
 %{_bindir}/%{name}
-%{_bindir}/pdfplatex
-%if %{?_dist_release} == "vl6"
-%{_bindir}/pdfeplatex
-%endif
 %{_datadir}/applications/%{name}.desktop
 %{_datadir}/pixmaps/*
 # %dir %{_datadir}/texworks-help
@@ -123,6 +101,10 @@ update-desktop-database &> /dev/null || :
 %{_mandir}/man1/texworks.1.gz
 
 %changelog
+* Thu Sep 19 2013 Munehiro Yamamoto <munepi@vinelinux.org> 0.5-3.svn1302
+- source snapshot r1302
+- added BuildRequires: lua-devel
+
 * Fri Mar  9 2012 Munehiro Yamamoto <munepi@vinelinux.org> 0.5-2.svn950
 - rebuild with hunspell-devel